summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-16 16:50:29 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:26 +0000
commit24076608e1b3443c3645ad207199aeb274f080e2 (patch)
tree22155b146ca0c656d1b94107fcbe3b5b3f78ed9e /tests/tests
parent375da56118b506d68bb3219792b48243a2989f39 (diff)
autopkgtests: Provide tests/lib, and one pari-extra based clone test.
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/clone-nogit15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/tests/clone-nogit b/tests/tests/clone-nogit
new file mode 100755
index 0000000..746dc69
--- /dev/null
+++ b/tests/tests/clone-nogit
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-git none
+t-archive pari-extra 3-1
+
+t-dgit clone $p
+
+t-diff-nogit extract/$p-3 $p
+cd $p
+t-clean-on-branch dgit/sid
+t-refs-same HEAD remotes/dgit/dgit/sid
+
+echo ok